流 & 历史记录
事件历史
GET /v1/events replay
此密钥的监控目标与关键词的近期事件,最新在前,过滤方式与流完全相同。历史记录保留 30 天。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
limit | int 1–500 = 50 | 页大小 |
cursor | string | 来自上一页的 meta.next_cursor |
响应
一页信封格式的事件,附分页 meta。 逐字段说明: 信封.
状态: 200
请求
curl https://api.xsignalfeed.com/v1/events?limit=2 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200
{
"events": [
{
"v": 1,
"t": "tweet.create",
"op": "create",
"id": "tweet:2097879002992070835",
"…": "…"
},
{
"v": 1,
"t": "follow.add",
"…": "…"
}
],
"meta": {
"count": 2,
"has_more": true,
"next_cursor": "eyJpZCI6MTAxODMyLCJ0IjoiMjAyNi0wOS0xNlQwODo0MDoxMSswMDowMCJ9"
}
}